<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Infusion Created by Fusion-MC		    
| Inf: Advanced Welcome Panel		      
| Website: http://www.fusion-mc.pl           
| Contact: support@fusion-mc.pl		     
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."advanced_welcome_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_welcome_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."advanced_welcome_panel/locale/Polish.php";
}

if (!checkrights("IP")) fallback("../index.php");

if ($_GET['awp'] == "config") {

if (!checkrights("IP")) fallback("../index.php");

if (isset($_POST['saveawpconfig'])) {

	$result = dbquery("UPDATE ".$db_prefix."advanced_welcome_panel_config SET
		guest_title='".addslash($_POST['guest_title'])."',
		user_title='".addslash($_POST['user_title'])."',
		admin_title='".addslash($_POST['admin_title'])."',
		panels_settings='".addslash($_POST['panels_settings'])."'
		"); 
	redirect("admin.php?awp=config");
} else {
	$result = dbquery("INSERT INTO ".$db_prefix."advanced_welcome_panel_config VALUES('$guest_title', '$user_title', '$admin_title', '$panels_settings')");
}

$awp = dbarray(dbquery("SELECT * FROM ".$db_prefix."advanced_welcome_panel_config"));
opentable($locale['AWP001'].": ".$locale['AWP003']);
echo "<form name='settingsform' method='post' action='admin.php?awp=config'><table align='center' cellpadding='1' cellspacing='1' width='98%' class='tbl-border'>\n<tr>
<td width='33%' align='center' class='tbl1'><span class='small'><a href='admin.php' title='".$locale['AWP002']."'>".$locale['AWP002']."</a></span></td>
<td width='34%' align='center' class='tbl1'><span class='small'><a href='admin.php?awp=config' title='".$locale['AWP003']."'>".$locale['AWP003']."</a></span></td>
<td width='33%' align='center' class='tbl1'><span class='small'><a href='admin.php?awp=bookmarks' title='".$locale['AWP004']."'>".$locale['AWP004']."</a></span></td>
</tr><tr><td colspan='3' class='tbl2'>
<table width='100%'><tr>
<td width='35%'><b>".$locale['AWP008']."</b></td>
<td width='65%'><input type='text' name='guest_title' value='".phpentities(stripslashes($awp['guest_title']))."' maxlength='255' class='textbox' style='width:230px;'></td></tr>

<tr>
<td width='35%'><b>".$locale['AWP009']."</b></td>
<td width='65%'><input type='text' name='user_title' value='".phpentities(stripslashes($awp['user_title']))."' maxlength='255' class='textbox' style='width:230px;'></td></tr><tr>
<td width='35%'><b>".$locale['AWP010']."</b></td>
<td width='65%'><input type='text' name='admin_title' value='".phpentities(stripslashes($awp['admin_title']))."' maxlength='255' class='textbox' style='width:230px;'></td></tr>";
	echo "<tr><td width='35%'><b>".$locale['AWP011']."</b></td><td width='65%'>
<input type='radio' name='panels_settings' value='on'".($awp['panels_settings']=="on" ? " checked" : " checked").">".$locale['AWP012']."
<input type='radio' name='panels_settings' value='off'".($awp['panels_settings']=="off" ? " checked" : "").">".$locale['AWP013']."
</td></tr></table></td></tr></table></center><table align='center'>
<tr><td align='center' colspan='0' class='tbl'><br>
<input type='submit' name='saveawpconfig' value='".$locale['AWP017']."' class='button'></td>
</tr>
</table>
</form>\n";

	closetable();


} else if ($_GET['awp'] == "bookmarks") {
if (!checkrights("IP")) fallback("../index.php");

if (isset($_POST['saveawpbookmarks'])) {

	$result = dbquery("UPDATE ".$db_prefix."advanced_welcome_panel_bookmarks SET
		info_on='".addslash($_POST['info_on'])."',
		content_info='".addslash($_POST['content_info'])."',
		copy_on='".addslash($_POST['copy_on'])."',
		content_copy='".addslash($_POST['content_copy'])."'
		"); 
	redirect("admin.php?awp=bookmarks");
} else {
	$result = dbquery("INSERT INTO ".$db_prefix."advanced_welcome_panel_bookmarks VALUES('$info_on', '$content_info', '$copy_on', '$content_copy')");
}

$awp = dbarray(dbquery("SELECT * FROM ".$db_prefix."advanced_welcome_panel_bookmarks"));
opentable($locale['AWP001'].": ".$locale['AWP004']);
echo "<form name='settingsform' method='post' action='admin.php?awp=bookmarks'><table align='center' cellpadding='1' cellspacing='1' width='98%' class='tbl-border'>\n<tr>
<td width='33%' align='center' class='tbl1'><span class='small'><a href='admin.php' title='".$locale['AWP002']."'>".$locale['AWP002']."</a></span></td>
<td width='34%' align='center' class='tbl1' colspan='2'><span class='small'><a href='admin.php?awp=config' title='".$locale['AWP003']."'>".$locale['AWP003']."</a></span></td>
<td width='33%' align='center' class='tbl1'><span class='small'><a href='admin.php?awp=bookmarks' title='".$locale['AWP004']."'>".$locale['AWP004']."</a></span></td>
</tr>
<tr>
<td class='tbl2' width='50%' align='center' colspan='2'><b>".$locale['AWP021']."</b><br><textarea name='content_info' rows='6' class='textbox' style='width:230px;'>".phpentities(stripslashes($awp['content_info']))."</textarea><br>".$locale['AWP023']." <input type='radio' name='info_on' value='off'".($awp['info_on']=="off" ? " checked" : " checked")."> 
".$locale['AWP024']." <input type='radio' name='info_on' value='on'".($awp['info_on']=="on" ? " checked" : "")."><br></td>

<td class='tbl2' width='50%' align='center' colspan='2'><b>".$locale['AWP022']."</b><br><textarea name='content_copy' rows='6' class='textbox' style='width:230px;'>".phpentities(stripslashes($awp['content_copy']))."</textarea><br>".$locale['AWP023']." <input type='radio' name='copy_on' value='off'".($awp['copy_on']=="off" ? " checked" : " checked")."> 
".$locale['AWP024']." <input type='radio' name='copy_on' value='on'".($awp['copy_on']=="on" ? " checked" : "")."></td></tr>

</table>
<table align='center'>
<tr><td align='center' colspan='0' class='tbl'><br>
<input type='submit' name='saveawpbookmarks' value='".$locale['AWP017']."' class='button'></td>
</tr>
</table></form>";

closetable();
} else {

if (!checkrights("IP")) fallback("../index.php");

if (isset($_POST['saveawp'])) {
	$result = dbquery("UPDATE ".$db_prefix."advanced_welcome_panel SET
		guest='".addslash($_POST['guest'])."',
		user='".addslash($_POST['user'])."',
		admin='".addslash($_POST['admin'])."'
		"); 
	redirect("admin.php");
} else {
	$result = dbquery("INSERT INTO ".$db_prefix."advanced_welcome_panel VALUES('$guest', '$user', '$admin')");
}


$awp = dbarray(dbquery("SELECT * FROM ".$db_prefix."advanced_welcome_panel"));
opentable($locale['AWP001'].": ".$locale['AWP002']);
echo "<form name='settingsform' method='post' action='admin.php'><table align='center' cellpadding='1' cellspacing='1' width='98%' class='tbl-border'>\n<tr>
<td width='33%' align='center' class='tbl1'><span class='small'><a href='admin.php' title='".$locale['AWP002']."'>".$locale['AWP002']."</a></span></td>
<td width='34%' align='center' class='tbl1'><span class='small'><a href='admin.php?awp=config' title='".$locale['AWP003']."'>".$locale['AWP003']."</a></span></td>
<td width='33%' align='center' class='tbl1'><span class='small'><a href='admin.php?awp=bookmarks' title='".$locale['AWP004']."'>".$locale['AWP004']."</a></span></td>
</tr>
<tr>
<td class='tbl2' width='50%' align='center' colspan='3'>
<table width='70%' border='0' cellpadding='1'
cellspacing='1'>
<tr>
<td align='left' valign='top'>
<b>".$locale['AWP005']."</b></td>
<td style='vertical-align: top;'><textarea name='guest' rows='6' class='textbox' style='width:230px;'>".phpentities(stripslashes($awp['guest']))."</textarea></td></tr>
<tr>
<td align='left' valign='top'>
<b>".$locale['AWP006']."</b></td>
<td style='vertical-align: top;'><textarea name='user' rows='6' class='textbox' style='width:230px;'>".phpentities(stripslashes($awp['user']))."</textarea></td></tr>
<tr>
<td align='left' valign='top'>
<b>".$locale['AWP007']."</b></td>
<td style='vertical-align: top;'><textarea name='admin' rows='6' class='textbox' style='width:230px;'>".phpentities(stripslashes($awp['admin']))."</textarea></td></tr>
</table></td></tr></table>

<table align='center'>
<tr><td align='center' colspan='0' class='tbl'><br>
<input type='submit' name='saveawp' value='".$locale['AWP017']."' class='button'></td>
</tr>
</table></center>
</form>\n";
closetable();
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>
</body></html>