<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Infusion Created by Fusion-MC		    
| Inf: Advanced Welcome Panel		      
| Website: http://www.fusion-mc.pl           
| Contact: support@fusion-mc.pl		     
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."advanced_welcome_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."advanced_welcome_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."advanced_welcome_panel/locale/Polish.php";
}

// Infusion general information
$inf_title = $locale['AWP014'];
$inf_description = $locale['AWP015'];
$inf_version = "5.06";
$inf_developer = "Fusion-MC";
$inf_email = "support@fusion-mc.pl";
$inf_weburl = "http://www.fusion-mc.pl";

$inf_folder = "advanced_welcome_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "admin.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['AWPxxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "advanced_welcome_panel (
  guest text NOT NULL,
  user text NOT NULL,
  admin text NOT NULL
) TYPE=MyISAM;";
$inf_newtable_[2] = "advanced_welcome_panel_config (
  guest_title text NOT NULL,
  user_title text NOT NULL,
  admin_title text NOT NULL,
  panels_settings varchar(5) NOT NULL 
) TYPE=MyISAM;";
$inf_newtable_[3] = "advanced_welcome_panel_bookmarks (
  info_on varchar(3) NOT NULL,
  content_info text NOT NULL,
  copy_on varchar(3) NOT NULL,
  content_copy text NOT NULL 
) TYPE=MyISAM;";

$inf_droptable_[1] = "advanced_welcome_panel";
$inf_droptable_[2] = "advanced_welcome_panel_config";
$inf_droptable_[3] = "advanced_welcome_panel_bookmarks";
?>